# Uses of Class
org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.ContextParameter

Packages that use OCLQueryHandler.ContextParameter
Package
Description
org.eclipse.emf.cdo.server.ocl
Server implementation of a generic OCL query handler.

## Uses of OCLQueryHandler.ContextParameter in org.eclipse.emf.cdo.server.ocl

Methods in org.eclipse.emf.cdo.server.ocl that return OCLQueryHandler.ContextParameter
Modifier and Type
Method
Description
`protected OCLQueryHandler.ContextParameter`
OCLQueryHandler.`getContextParameter(CDOQueryInfo info, CDOView view)`
Methods in org.eclipse.emf.cdo.server.ocl with parameters of type OCLQueryHandler.ContextParameter
Modifier and Type
Method
Description
`protected org.eclipse.ocl.Query<EClassifier,EClass,EObject>`
OCLQueryHandler.`createQuery(CDOView view, CDOQueryInfo info, OCLQueryHandler.ContextParameter contextParameter, org.eclipse.ocl.OCL<?,EClassifier,?,?,?,?,?,?,?,org.eclipse.ocl.ecore.Constraint,EClass,EObject> ocl)`